import { PluginConnection, SetCanvasViewOptionsPayload, DrawCanvas2dShapesPayload } from '@archilogic/plugin-connection';
import { LayoutElement, LayoutSpace } from '@archilogic/space-graph-core';
import { Vector2 } from '@archilogic/clipper';
export declare const connection: PluginConnection;
export declare function selectNode(nodeId: string): void;
export declare function focusOnNode(nodeId: string): void;
export declare function setCanvasViewOptions(options: SetCanvasViewOptionsPayload): void;
export declare function drawCanvas2dShapes(shapes: DrawCanvas2dShapesPayload): void;
export declare const selectedNodeIds: import('../vue/dist/vue.esm-browser.prod.js').Ref<string[], string[]>;
export declare const customAttributeDefinitions: import('../vue/dist/vue.esm-browser.prod.js').Ref<any[], any[]>;
export declare const customAttributeDefinitionsByInputType: import('../vue/dist/vue.esm-browser.prod.js').ComputedRef<{}>;
export declare const nodesByAttribute: import('../vue/dist/vue.esm-browser.prod.js').Ref<{}, {}>;
export declare function getNodeName(node: LayoutElement | LayoutSpace): string;
export declare function getNodeAttributeValue(node: {
    customAttributes: LayoutElement['customAttributes'];
}, attrId: string): string | number | boolean | undefined;
export declare function getNode(nodeId: string): LayoutSpace | LayoutElement;
export declare function getShortId(nodeId: string): string;
export declare function getLabelPosition(node: LayoutElement | LayoutSpace): Vector2 | undefined;
